Bug 857865 - Review Request: emacs-rpm-spec-mode - Major GNU Emacs mode for editing RPM spec files
Review Request: emacs-rpm-spec-mode - Major GNU Emacs mode for editing RPM sp...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 05:58 EDT by Karel Klíč
Modified: 2014-05-22 06:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 09:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonathan.underwood: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2012-09-17 05:58:42 EDT
Spec URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode-0.12-1.el6.src.rpm
Description: Major GNU Emacs mode for editing RPM spec files.
Fedora Account System Username: kklic

The rpm-spec-mode is currently packaged in the emacs package even though it comes from different upstream.  Packaging it separately fixes the issue.
Comment 1 Jonathan Underwood 2012-09-18 05:23:13 EDT
Hi Karel,

I had a quick look over the spec and the thing that jumped out at me is that the files should be placed in their own directory under site-lisp, rather than in site-lisp itself. I suggest %{_emacs_sitelispdir}/%{name}.

Will do a full review later.
Comment 2 Karel Klíč 2012-09-18 06:15:56 EDT
Hi Jonathan,

thank you.  I moved the files to %{_emacs_sitelispdir}/rpm-spec-mode. Emacs Packaging Guidelines propose this location.

https://fedoraproject.org/wiki/Packaging:Emacs#File_locations

Spec URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode-0.12-2.el6.src.rpm
Comment 3 Jonathan Underwood 2012-09-18 16:39:48 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
     MISSING LICENSE/COPYING file or similar
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Might be a good idea to include the GPLv2+ COPYING file
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[!]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)

     There is an issue here in that the package will conflict with
     Emacs packages which still contain the rpm mode file. This might
     be a problem on distro upgrade. It might be a good idea to have
     Requires: emacs(bin) >= %_{emacs_ev} or somesuch.

[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.

     See above note though - it does contain files previously owned by the Emacs package

[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

     Since these files are cherry picked from the XEmacs sources, I
     don't think this really applies.

[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.

     Spec file comments indicate patches sent upstream, but no link to
     bugzilla entries or mailing list posts.

[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

     Add the -p flag to the install invocations to fix this.

[x]: SHOULD Spec use %global instead of %define.


Notes
------
1) rpmlint gives:
   emacs-rpm-spec-mode.noarch: W: no-documentation
   which is OK, but see point 2 below.

2) The package lacks a license file as it's comprised of cherry picked
   files from the XEmacs sources. It might be nice to include the
   GPLv2+ COPYING file, but this is not a blocker.

3) The package will conflict with older Emacs packages so really needs
   a Requires: emacs(bin) >= %{_emacs_ev} or something to prevent this
Comment 4 Jonathan Underwood 2012-09-19 05:54:10 EDT
One other thing - the BuildRequires for emacs-el is unecessary.
Comment 5 Karel Klíč 2012-09-19 07:59:18 EDT
Spec URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode.spec
SRPM URL: http://kklic.fedorapeople.org/emacs-rpm-spec-mode-0.12-3.el6.src.rpm

* Wed Sep 19 2012 Karel Klíč <kklic@redhat.com> - 0.12-3
- Removed build dependency on emacs-el
- Require emacs without embedded rpm-spec-mode to avoid conflicts
  during updates

I based the package on Stig Bjørlykke's version (http://tihlde.org/~stigb/rpm-spec-mode.el), and not the version from XEmacs source tree.  I sent him the patches via email.
Comment 6 Jonathan Underwood 2012-09-19 18:44:39 EDT
OK, looks great. 

APPROVED.
Comment 7 Karel Klíč 2012-09-20 07:38:34 EDT
New Package SCM Request
=======================
Package Name: emacs-rpm-spec-mode
Short Description: Major GNU Emacs mode for editing RPM spec files
Owners: kklic
Branches:
InitialCC:
Comment 8 Gwyn Ciesla 2012-09-20 07:55:44 EDT
Git done (by process-git-requests).
Comment 9 Karel Klíč 2012-09-20 09:09:34 EDT
Thank you for the review.

emacs-rpm-spec-mode-0.12-3.fc19
Comment 10 Michel Alexandre Salim 2014-05-21 23:28:21 EDT
Package Change Request
======================
Package Name: emacs-rpm-spec-mode
New Branches: epel7
Owners: salimma
Comment 11 Gwyn Ciesla 2014-05-22 06:09:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.